### Class

# Dex Delayed

#### Description [src]

    final class Dex.Delayed : GObject.TypeInstance
    {
      /* No available fields */
    }

`DexDelayed` is a future which will resolve or reject the value of another `DexFuture` when `dex_delayed_release()` is called.

This allows you to gate the resolution of a future which has already resolved or rejected until a later moment.

#### Hierarchy

#### Ancestors

- DexFuture
- DexObject

#### Constructors

###### dex_delayed_new

Creates a new `DexDelayed`.

#### Instance methods

###### dex_delayed_dup_future

Retrieves the delayed future provided to dex_delayed_new().

###### dex_delayed_release

Completes `delayed` using the value provided at construction.

##### Methods inherited from DexFuture (24)

Please see DexFuture for a full list of methods.

##### Methods inherited from DexObject (2)

###### dex_ref

Acquires a reference on the given object, and increases its reference count by one.

###### dex_unref

Releases a reference on the given object, and decreases its reference count by one.